com.io7m.r2.core

## Class R2MaskInstances

- java.lang.Object
- - com.io7m.r2.core.R2MaskInstances

- All Implemented Interfaces:
    R2MaskInstancesType

      @Generated(value={"Immutables.generator","R2MaskInstancesType"})
      public final class R2MaskInstances
      extends Object
      implements R2MaskInstancesType

  The set of mask instances that will be rendered.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2MaskInstances.Builder` Builds instances of type `R2MaskInstances`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<R2InstanceBatchedType>` | `batched()`
    `static R2MaskInstances.Builder` | `builder()` Creates a builder for `R2MaskInstances`.
    `static R2MaskInstances` | `copyOf(R2MaskInstancesType instance)` Creates an immutable copy of a `R2MaskInstancesType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2MaskInstances` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `singles`, `batched`.
    `List<R2InstanceSingleType>` | `singles()`
    `String` | `toString()` Prints the immutable value `R2MaskInstances` with attribute values.
    `R2MaskInstances` | `withBatched(Iterable<? extends R2InstanceBatchedType> elements)` Copy the current immutable object with elements that replace the content of `batched`.
    `R2MaskInstances` | `withBatched(R2InstanceBatchedType... elements)` Copy the current immutable object with elements that replace the content of `batched`.
    `R2MaskInstances` | `withSingles(Iterable<? extends R2InstanceSingleType> elements)` Copy the current immutable object with elements that replace the content of `singles`.
    `R2MaskInstances` | `withSingles(R2InstanceSingleType... elements)` Copy the current immutable object with elements that replace the content of `singles`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### singles

          public List<R2InstanceSingleType> singles()

      Specified by:
        `singles` in interface `R2MaskInstancesType`
      Returns:
        The list of single instances that will be rendered

    - #### batched

          public List<R2InstanceBatchedType> batched()

      Specified by:
        `batched` in interface `R2MaskInstancesType`
      Returns:
        The list of batched instances that will be rendered

    - #### withSingles

          public final R2MaskInstances withSingles(R2InstanceSingleType... elements)

      Copy the current immutable object with elements that replace the content of `singles`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withSingles

          public final R2MaskInstances withSingles(Iterable<? extends R2InstanceSingleType> elements)

      Copy the current immutable object with elements that replace the content of `singles`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of singles elements to set
      Returns:
        A modified copy of `this` object

    - #### withBatched

          public final R2MaskInstances withBatched(R2InstanceBatchedType... elements)

      Copy the current immutable object with elements that replace the content of `batched`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withBatched

          public final R2MaskInstances withBatched(Iterable<? extends R2InstanceBatchedType> elements)

      Copy the current immutable object with elements that replace the content of `batched`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of batched elements to set
      Returns:
        A modified copy of `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2MaskInstances` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `singles`, `batched`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2MaskInstances` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### copyOf

          public static R2MaskInstances copyOf(R2MaskInstancesType instance)

      Creates an immutable copy of a `R2MaskInstancesType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2MaskInstances instance

    - #### builder

          public static R2MaskInstances.Builder builder()

      Creates a builder for `R2MaskInstances`.
      Returns:
        A new R2MaskInstances builder

Copyright © 2016 <code@io7m.com> http://io7m.com